import { EditorState } from "@codemirror/state";
import type { SyntaxNode } from "@lezer/common";
export declare const getValue: (node: SyntaxNode, state: EditorState) => string;
export declare const getNodeByName: (node: SyntaxNode, state: EditorState, nodeName?: string) => string | undefined;
export declare const getPreviousNode: (node: SyntaxNode) => SyntaxNode | null;
export declare const getNamedParentNode: (node: SyntaxNode) => SyntaxNode | null;
export declare const getPreviousNamedNode: (node: SyntaxNode) => SyntaxNode | null;
