import { Completion } from "@vuu-ui/vuu-codemirror";
import { ColumnDescriptor } from "@vuu-ui/vuu-table-types";
export interface VuuCompletion extends Completion {
    isIllustration?: boolean;
}
export type CompletionOptions = {
    moveCursorToEnd?: boolean;
    prefix?: string;
    quoted?: boolean;
    suffix?: string;
    isIllustration?: boolean;
};
export declare const toSuggestions: (values: string[], options?: CompletionOptions) => VuuCompletion[];
export declare const asNameSuggestion: {
    label: string;
    apply: string;
    boost: number;
};
export declare const booleanJoinSuggestions: Completion[];
export declare const equalityOperators: Completion[];
export declare const stringOperators: Completion[];
export declare const numericOperators: Completion[];
export declare const getRelationalOperators: (column?: ColumnDescriptor) => Completion[];
export declare const getNamePrompt: (entity?: string) => {
    label: string;
    boost: number;
}[];
